Bug 209771 - [pkg-fallout] Build cluster incorrectly marks sysutils/and as broken
Summary: [pkg-fallout] Build cluster incorrectly marks sysutils/and as broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-26 16:25 UTC by Chris Hutchinson
Modified: 2016-06-15 16:58 UTC (History)
1 user (show)

See Also:
portmaster: maintainer-feedback+


Attachments
build log for sysutils/and (3.25 KB, text/plain)
2016-05-26 16:25 UTC, Chris Hutchinson
no flags Details
patch to fix sysutils/and (svn diff) (1.23 KB, patch)
2016-05-26 23:32 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
Simpler patch (680 bytes, patch)
2016-05-28 20:00 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2016-05-26 16:25:36 UTC
Created attachment 170692 [details]
build log for sysutils/and

pkg-fallout has been reporting sysutils/and (version 1.2.2)
as being broken for *months*. The report shows a banner that /should/
have alerted someone that there is a problem with the build environment:

!!! Jail is newer than host. (Jail: 1100111, Host: 1100109) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!

I would have reported this *much* earlier. But was sure whoever
monitored these things would notice it. Given that hasn't
occurred, I'm reporting it now. :)

Report details:
Maintainer:     portmaster@BSDforge.com
Last committer: wen@FreeBSD.org
Ident:          $FreeBSD: head/sysutils/and/Makefile 380691 2015-03-07 13:47:32Z wen $
Log URL:        http://beefy4.nyi.freebsd.org/data/head-amd64-default/p415627_s300409/logs/and-1.2.2.log
Build URL:      http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p415627_s300409
Log:

====>> Building sysutils/and
build started at Tue May 24 21:09:10 UTC 2016
port directory: /usr/ports/sysutils/and
building for: FreeBSD head-amd64-default-job-21 11.0-CURRENT FreeBSD 11.0-CURRENT r300409 amd64
maintained by: portmaster@BSDforge.com
Makefile ident:      $FreeBSD: head/sysutils/and/Makefile 380691 2015-03-07 13:47:32Z wen $
Poudriere version: 3.1.12
Host OSVERSION: 1100109
Jail OSVERSION: 1100111

I have confirmed that this port builds without issues on both
11-CURRENT, and 9-STABLE (i386)

I'm attaching a log of the build session on 11-CURRENT, as proof. :)

Thank you for all your time, and consideration.

--Chris
Comment 1 Antoine Brodin freebsd_committer 2016-05-26 16:30:07 UTC
which version of head are you using?

P_KTHREAD doesn't exist in head

------------------------------------------------------------------------
r295435 | kib | 2016-02-09 16:30:16 +0000 (Tue, 09 Feb 2016) | 8 lines

Rename P_KTHREAD struct proc p_flag to P_KPROC.
Comment 2 Chris Hutchinson 2016-05-26 18:31:21 UTC
(In reply to Antoine Brodin from comment #1)
> which version of head are you using?
> 
> P_KTHREAD doesn't exist in head

It's at the bottom of the build session log, I attached to this pr(1).

But to save you the trouble. ;-)

# uname

FreeBSD dev-box 11.0-CURRENT FreeBSD 11.0-CURRENT #0 r294112:
root@dev-box:/usr/obj/usr/src/sys/DEVBOX  amd64

> 
> ------------------------------------------------------------------------
> r295435 | kib | 2016-02-09 16:30:16 +0000 (Tue, 09 Feb 2016) | 8 lines
> 
> Rename P_KTHREAD struct proc p_flag to P_KPROC.

Will do, and thanks, Antoine!

--Chris
Comment 3 Chris Hutchinson 2016-05-26 23:32:43 UTC
Created attachment 170702 [details]
patch to fix sysutils/and (svn diff)

This patch corrects the errors that occurred after the changes
made in r295435, that renamed P_KTHREAD to P_KPROC
This patch also adds LICENSE, and PORTREVISION

All of which will silence pkg-fallout && portlint! :)

Thanks again, Antoine!

--Chris
Comment 4 Dmitry Marakasov freebsd_committer 2016-05-28 13:44:35 UTC
The patch makes behavior on < 11.x and 11.x+ different, why? IMO, only P_KTHREAD should be replaced with P_KPROC on 11.x
Comment 5 Chris Hutchinson 2016-05-28 19:40:09 UTC
(In reply to Dmitry Marakasov from comment #4)
> The patch makes behavior on < 11.x and 11.x+ different, why?
I was unable to get it to build on my revision of 11, using P_KPROC
(use of uninitialized...). So I made a best-effort to find the apex
in revisions, as to where to impose the use of the new name.
> IMO, only
> P_KTHREAD should be replaced with P_KPROC on 11.x

--Chris
Comment 6 Dmitry Marakasov freebsd_committer 2016-05-28 20:00:19 UTC
Created attachment 170763 [details]
Simpler patch

This builds for me everywhere, what do you think?
Comment 7 Chris Hutchinson 2016-06-13 14:57:58 UTC
Comment on attachment 170763 [details]
Simpler patch

Looks fine.

Approved, let's use it!

--Chris
Comment 8 Chris Hutchinson 2016-06-13 16:20:59 UTC
(In reply to Dmitry Marakasov from comment #6)
> Created attachment 170763 [details]
> Simpler patch
> 
> This builds for me everywhere, what do you think?

bugzilla is broken.
Dmitry, can you click on the "details" link, next to your
patch, and on the "maintainer-approval" option. Select ?
so that I can approve your patch for submission/commit?
Bugzilla wont let me do it, even tho I am the maintainer.

Thanks.

--Chris
Comment 9 commit-hook freebsd_committer 2016-06-15 16:58:49 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jun 15 16:58:01 UTC 2016
New revision: 416930
URL: https://svnweb.freebsd.org/changeset/ports/416930

Log:
  - Fix build on -CURRENT

  PR:		209771
  Submitted by:	portmaster@bsdforge.com (maintainer)

Changes:
  head/sysutils/and/Makefile